| Home | Libraries | People | FAQ | More

## Struct template bitwise_and

boost::mpi::bitwise_and — Compute the bitwise AND of two integral values.

## Synopsis

    template<typename T>
    struct bitwise_and {

      // public member functions
      T operator()(const T &, const T &) const;
    };

## Description

This binary function object computes the bitwise AND of the two values it is given. When used with MPI and a type `T` that has an associated, built-in MPI data type, translates to `MPI_BAND`.

### `bitwise_and` public member functions

1.     T operator()(const T & x, const T & y) const;

   Returns: | `x` & y.